Subject: Re: New stuff in wireless-dev, wireless developers please pull...

From: Johannes Berg <[email-masked]>
Date: Fri, 03 Nov 2006 10:06:22 +0100

> It doesn't seem to compile on my system:
> 
> net/built-in.o: In function `iw_send_thrspy_event':
> wext-old.c:(.text+0x67672): undefined reference to `wireless_send_event'

Uh, common is missing. Adjust net/wireless/Makefile like this:

Signed-off-by: Johannes Berg <[email-masked]>
---
I'd be surprised if that patch applies. I generated it by hand :P
What would be cool if I could go to gitweb, edit the file and get a diff
out :) gitwiki.

--- a/net/wireless/Makefile
+++ b/net/wireless/Makefile
@@ -12,6 +12,6 @@
 
 # this needs to be compiled in...
 obj-$(CONFIG_CFG80211_WEXT_COMPAT) += wext-compat.o
-obj-$(CONFIG_CFG80211_WEXTNL_COMPAT)$(CONFIG_NET_WIRELESS_RTNETLINK) += wext-common.o
+obj-$(CONFIG_CFG80211_WEXTNL_COMPAT)$(CONFIG_NET_WIRELESS) += wext-common.o
 obj-y += $(obj-yy) $(obj-yn) $(obj-ny)